Package org.apache.catalina.tribes.group

## Class RpcChannel.RpcCollector

- java.lang.Object
- - org.apache.catalina.tribes.group.RpcChannel.RpcCollector

Enclosing class:
  RpcChannel

    public static class RpcChannel.RpcCollector
    extends java.lang.Object

Class that holds all response.

Version:
  1.0

### Field Summary

Fields
`int` `destcnt`
`RpcChannel.RpcCollectorKey` `key`
`int` `options`
`java.util.ArrayList<Response>` `responses`

### Constructor Summary

Constructors
`RpcCollector​(RpcChannel.RpcCollectorKey key, int options, int destcnt)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addResponse​(java.io.Serializable message, Member sender)`
`boolean` `equals​(java.lang.Object o)`
`Response[]` `getResponses()`
`int` `hashCode()`
`boolean` `isComplete()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### responses

    public final java.util.ArrayList<Response> responses

#### key

    public final RpcChannel.RpcCollectorKey key

#### options

    public final int options

#### destcnt

    public int destcnt

### Constructor Detail

#### RpcCollector

    public RpcCollector​(RpcChannel.RpcCollectorKey key,
                        int options,
                        int destcnt)

### Method Detail

#### addResponse

    public void addResponse​(java.io.Serializable message,
                            Member sender)

#### isComplete

    public boolean isComplete()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### getResponses

    public Response[] getResponses()